#if 0 

    Copyright (c) 1991 SGI   All Rights Reserved
    THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SGI
    The copyright notice above does not evidence any
    actual or intended publication of such source code,
    and is an unpublished work by Silicon Graphics, Inc.
    This material contains CONFIDENTIAL INFORMATION that
    is the property of Silicon Graphics, Inc. Any use,
    duplication or disclosure not specifically authorized
    by Silicon Graphics is strictly prohibited.
    
    RESTRICTED RIGHTS LEGEND:
    
    Use, duplication or disclosure by the Government is
    subject to restrictions as set forth in subdivision
    (c)(1)(ii) of the Rights in Technical Data and Computer
    Software clause at DFARS 52.227-7013, and/or in similar
    or successor clauses in the FAR, DOD or NASA FAR
    Supplement.  Unpublished- rights reserved under the
    Copyright Laws of the United States.  Contractor is
    SILICON GRAPHICS, INC., 2011 N. Shoreline Blvd.,
    Mountain View, CA 94039-7311

#endif
#ifndef _iflDefs_h_
#define _iflDefs_h_
/*
    This file contains some standard definitions required by the 
    Image Format Library.
*/

#define IFL_VERSION 1.3
#define IFL_VERSION_MAJOR 1
#define IFL_VERSION_MINOR 3

#define IFL_HAVE_RELEASE(major,minor) \
    (IFL_VERSION_MAJOR > major || \
     IFL_VERSION_MAJOR == major && IFL_VERSION_MINOR >= minor)

#define IFL_HAVE_IRIX_RELEASE(major,minor) \
    (defined(IRIX_RELEASE_MAJOR) && defined(IRIX_RELEASE_MINOR) \
     && (IRIX_RELEASE_MAJOR > major || \
    	 IRIX_RELEASE_MAJOR == major && IRIX_RELEASE_MINOR >= minor))

#ifndef NULL
#define NULL	0
#endif
#undef  TRUE
#define TRUE    1
#undef  FALSE
#define FALSE   0
#undef __enddef__
#define __enddef__

#if defined(__ANSI_CPP__) || (defined(__STDC__) && !defined(UNIXCPP)) \
    || defined(_WIN32)
#define iflCAT2(a,b) a##b
#define iflCAT3(a,b,c) a##b##c
#define iflQUOTE(a) #a
#else
#define iflCAT2(a,b) a/**/b
#define iflCAT3(a,b,c) a/**/b/**/c
#define iflQUOTE(a) "a"
#endif

#if defined(_WIN32) && !defined(FOR_DOCTOR_ONLY)
#   define IFL_CALLTYPE __cdecl
#   define IFL_DLLEXPORT __declspec(dllexport)
#   define IFL_DLLIMPORT __declspec(dllimport)
#   if defined(IFL_DLLBUILD)
#   	define IFL_API IFL_DLLEXPORT
#   else
#   	define IFL_API IFL_DLLIMPORT
#   endif
#else
#   define IFL_DLLEXPORT
#   define IFL_DLLIMPORT
#   define IFL_API
#   define IFL_CALLTYPE
#endif

#ifdef SOLARIS_251

    /* Any other definitions that may be needed by Solaris should go here. */
#   include "ifl/iflCompatibility.h"

#endif

#endif
