#ifndef KERNEL_H
#define KERNEL_H

#include <vector>
#include <iostream>

typedef std::vector<double> Kernel;

Kernel K_gaussian(double sigma);
Kernel K_normalize(Kernel k);


std::ostream& operator<< (std::ostream&s, const Kernel &k);

  
#endif 

