#include "RedWin.h"
#include <stdio.h>

RedWin::RedWin()
{
  setIdleInterval(1000);
  dark=true;
}

RedWin::~RedWin()
{
}
 
void RedWin::mouse(int button, int state, int x, int y)
{
puts ("red mouse");
}

void RedWin::display()
{
	printf ("RedWin display() - Window Size %d %d\n",width,height);
   
	// Set the correct clear color
	if (dark) {
		glClearColor(0.5,0.0,0.0,1.0);
	} else {
		glClearColor(1.0,0.0,0.0,1.0);
	}

	// Clear the window
    glClear(GL_COLOR_BUFFER_BIT);
	glFinish();
	glutSwapBuffers();
} 
 
void RedWin::idle()
{
	// Flip the window color
	dark=!dark;

	// Tell the window to redisplay itself
	glutPostRedisplay();
}

   