#include "iflinterface.h"
#include <stdlib.h>
//#include <stream.h>
//#include <glut.h>
#include <iostream.h>
#include "ImageWin.h" 
#include "RedWin.h"

void main (int argc, char ** argv)
{
  // Check args
  if (argc<2)
    {
      cout << "Usage: imageio <filename> [new image format filename]\n";
      exit(2);
    }

  // Read image file
  JDImage im;
  readJDImage(argv[1],im); 

  // Output image size
  cout << "\nImage Size X: " << im.xsize << " Y: " << im.ysize << "\n\n" << flush;

  // Clear alpha bit to make sure we aren't doing this wrong
  for (int y=0;y<im.ysize;++y)
    for (int x=0;x<im.xsize;++x)
      im.a(x,y)=255;
  
  // Write Image file
  if (argc>2 && im.xsize>0 && im.ysize>0)
    {
      writeJDImage(argv[2],im);
    }
  else
    
  // If we actually read something, then show in window 
  if (im.xsize > 0 || im.ysize>0)
    {
      ImageWin win;
      win.attachImage(im);

	  //ImageWin win2;
	  //win2.attachImage(im);
	 // RedWin rw;
     // RedWin rw2;

      glutMainLoop();
    }
} 

