#ifndef MOVIEWINDOW_H
#define MOVIEWINDOW_H

#include "ownerimagewindow.h"
#include "pngtarmovie.h"

class MovieWindow: public OwnerImageWindowUchar {
    public:
        MovieWindow(void);
        int Load(const char *name);
        int GetLength(void);
        int LoadFrame(int frame);
        int NextFrame(void);
        int CycleFrame(void);
        int PreviousFrame(void);
        virtual void Display(void);
        virtual void Keyboard(unsigned char c, int x, int y);
    private:
        PngTarMovie movie;
        int current;        // frame being shown
        int old_width, old_height;
        bool full;
};

#endif
