#ifndef TARMOVIE_H
#define TARMOVIE_H

#include "movie.h"
#include "tar.h"

class PngTarMovie: public Movie {
    public:
        PngTarMovie(void);
        virtual ~PngTarMovie();
        int Load(const char *name);
        int Create(const char *name);
        int Append(const BufferUchar &buffer);
        int Read(int frame, BufferUchar &buffer);
        int GetLength(void);
        int Close(void);
    private:
        Tar archive;
        int append_entry;
};

#endif // TARMOVIE_H
