#ifndef NR_F3TENSOR_H
#define NR_F3TENSOR_H

class NR_F3Tensor 
{

public:
  enum Domain {
    Spatial = 0,
    Frequency = 1
  };
  
public:  /*private*/
  float ***data;
  float **spec;
  short xsize,ysize;
  NR_F3Tensor::Domain domain;
  
public:
  NR_F3Tensor();
  virtual ~NR_F3Tensor();
  
  void fft();
  void ifft();
  void ifftScaled();
  
  void setSize(int x, int y);
  
};



#endif 

