#ifndef JDIMAGE_H
#define JDIMAGE_H

#include "ImageInfo.h"

class JDImage : public ImageInfo
{

public:  /*private*/

public:
  // Creation and management routines
  JDImage();
  JDImage(short x, short y);
  JDImage &operator= (ImageInfo im);
  JDImage &operator= (JDImage &im);
  void resize(short x, short y);
  virtual ~JDImage();
  
  // Pixel routines
  void setAlpha255();
  void resamplePixels(ImageInfo &im);
  void resizeKeepingPixels(short x, short y);
 
  
private:
  JDImage(JDImage &){} // dont want accidental copy construction


};



#endif 

